from ..api import BaseModelResource
from .models import (
    CharacterClass,
    EquipmentArmour,
    EquipmentMeleeWeapon,
    EquipmentRangedWeapon,
    CharacterNPC,
    Spell
)

class CharacterClassResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = CharacterClass
        name = 'classes'

class EquipmentArmourResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = EquipmentArmour

class EquipmentMeleeWeaponResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = EquipmentMeleeWeapon

class EquipmentRangedWeaponResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = EquipmentRangedWeapon

class CharacterNPCResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = CharacterNPC

class SpellResource(BaseModelResource):
    class Meta(BaseModelResource.Meta):
        model = Spell


resources = [
    CharacterClassResource,
    EquipmentArmourResource,
    EquipmentMeleeWeaponResource,
    EquipmentRangedWeaponResource,
    CharacterNPCResource,
    SpellResource
]
